glibmm 2.38.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Namespace List
- Namespace Members

Classes | Enumerations
Glib::Threads Namespace Reference

## Classes
class | ThreadError
| Exception class for thread-related errors. More...
class | Thread
| Represents a running thread. More...
class | Mutex
| Represents a mutex (mutual exclusion). More...
class | RecMutex
| This represents a recursive mutex. More...
class | RWLock
| This represents a reader-writer lock. More...
class | Cond
| An opaque data structure to represent a condition. More...
class | Private
| Thread-local data pointer. More...

## Enumerations
enum | NotLock { NOT_LOCK }
enum | TryLock { TRY_LOCK }